<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>ForwardExtentCopy (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ForwardExtentCopy (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/operation/DelegateOperation.html" title="class in com.sk89q.worldedit.function.operation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/operation/ForwardExtentCopy.html" target="_top">Frames</a></li>
<li><a href="ForwardExtentCopy.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.function.operation</div>
<h2 title="Class ForwardExtentCopy" class="title">Class ForwardExtentCopy</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.function.operation.ForwardExtentCopy</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ForwardExtentCopy</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></pre>
<div class="block">Makes a copy of a portion of one extent to another extent or another point.

 <p>This is a forward extent copy, meaning that it iterates over the blocks
 in the source extent, and will copy as many blocks as there are in the
 source. Therefore, interpolation will not occur to fill in the gaps.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#ForwardExtentCopy-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.BlockVector3-">ForwardExtentCopy</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;source,
                 <a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
                 <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;from,
                 <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;destination,
                 <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;to)</code>
<div class="block">Create a new copy.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#ForwardExtentCopy-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.BlockVector3-">ForwardExtentCopy</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;source,
                 <a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
                 <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;destination,
                 <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;to)</code>
<div class="block">Create a new copy using the region's lowest minimum point as the
 "from" position.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#addStatusMessages-java.util.List-">addStatusMessages</a></span>(java.util.List&lt;java.lang.String&gt;&nbsp;messages)</code>
<div class="block">Add messages to the provided list that describe the current status
 of the operation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#cancel--">cancel</a></span>()</code>
<div class="block">Abort the current task.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#getAffected--">getAffected</a></span>()</code>
<div class="block">Get the number of affected objects.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#getRepetitions--">getRepetitions</a></span>()</code>
<div class="block">Get the number of repetitions left.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#getSourceFunction--">getSourceFunction</a></span>()</code>
<div class="block">Get the function that gets applied to all source blocks <em>after</em>
 the copy has been made.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#getSourceMask--">getSourceMask</a></span>()</code>
<div class="block">Get the mask that gets applied to the source extent.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#getTransform--">getTransform</a></span>()</code>
<div class="block">Get the transformation that will occur on every point.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#isCopyingBiomes--">isCopyingBiomes</a></span>()</code>
<div class="block">Return whether biomes should be copied along with blocks.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#isCopyingEntities--">isCopyingEntities</a></span>()</code>
<div class="block">Return whether entities should be copied along with blocks.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#isRemovingEntities--">isRemovingEntities</a></span>()</code>
<div class="block">Return whether entities that are copied should be removed.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#resume-com.sk89q.worldedit.function.operation.RunContext-">resume</a></span>(<a href="../../../../../com/sk89q/worldedit/function/operation/RunContext.html" title="class in com.sk89q.worldedit.function.operation">RunContext</a>&nbsp;run)</code>
<div class="block">Complete the next step.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#setCopyingBiomes-boolean-">setCopyingBiomes</a></span>(boolean&nbsp;copyingBiomes)</code>
<div class="block">Set whether biomes should be copies along with blocks.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#setCopyingEntities-boolean-">setCopyingEntities</a></span>(boolean&nbsp;copyingEntities)</code>
<div class="block">Set whether entities should be copied along with blocks.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#setRemovingEntities-boolean-">setRemovingEntities</a></span>(boolean&nbsp;removingEntities)</code>
<div class="block">Set whether entities that are copied should be removed.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#setRepetitions-int-">setRepetitions</a></span>(int&nbsp;repetitions)</code>
<div class="block">Set the number of repetitions left.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#setSourceFunction-com.sk89q.worldedit.function.RegionFunction-">setSourceFunction</a></span>(<a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a>&nbsp;function)</code>
<div class="block">Set the function that gets applied to all source blocks <em>after</em>
 the copy has been made.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#setSourceMask-com.sk89q.worldedit.function.mask.Mask-">setSourceMask</a></span>(<a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;sourceMask)</code>
<div class="block">Set a mask that gets applied to the source extent.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#setTransform-com.sk89q.worldedit.math.transform.Transform-">setTransform</a></span>(<a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a>&nbsp;transform)</code>
<div class="block">Set the transformation that will occur on every point.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ForwardExtentCopy-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ForwardExtentCopy</h4>
<pre>public&nbsp;ForwardExtentCopy(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;source,
                         <a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
                         <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;destination,
                         <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;to)</pre>
<div class="block">Create a new copy using the region's lowest minimum point as the
 "from" position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - the source extent</dd>
<dd><code>region</code> - the region to copy</dd>
<dd><code>destination</code> - the destination extent</dd>
<dd><code>to</code> - the destination position</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#ForwardExtentCopy-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.BlockVector3-"><code>the main constructor</code></a></dd>
</dl>
</li>
</ul>
<a name="ForwardExtentCopy-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ForwardExtentCopy</h4>
<pre>public&nbsp;ForwardExtentCopy(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;source,
                         <a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
                         <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;from,
                         <a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;destination,
                         <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;to)</pre>
<div class="block">Create a new copy.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - the source extent</dd>
<dd><code>region</code> - the region to copy</dd>
<dd><code>from</code> - the source position</dd>
<dd><code>destination</code> - the destination extent</dd>
<dd><code>to</code> - the destination position</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTransform--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransform</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a>&nbsp;getTransform()</pre>
<div class="block">Get the transformation that will occur on every point.

 <p>The transformation will stack with each repetition.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a transformation</dd>
</dl>
</li>
</ul>
<a name="setTransform-com.sk89q.worldedit.math.transform.Transform-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransform</h4>
<pre>public&nbsp;void&nbsp;setTransform(<a href="../../../../../com/sk89q/worldedit/math/transform/Transform.html" title="interface in com.sk89q.worldedit.math.transform">Transform</a>&nbsp;transform)</pre>
<div class="block">Set the transformation that will occur on every point.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transform</code> - a transformation</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#getTransform--"><code>getTransform()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSourceMask--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceMask</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;getSourceMask()</pre>
<div class="block">Get the mask that gets applied to the source extent.

 <p>This mask can be used to filter what will be copied from the source.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a source mask</dd>
</dl>
</li>
</ul>
<a name="setSourceMask-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceMask</h4>
<pre>public&nbsp;void&nbsp;setSourceMask(<a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;sourceMask)</pre>
<div class="block">Set a mask that gets applied to the source extent.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sourceMask</code> - a source mask</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html#getSourceMask--"><code>getSourceMask()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSourceFunction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceFunction</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a>&nbsp;getSourceFunction()</pre>
<div class="block">Get the function that gets applied to all source blocks <em>after</em>
 the copy has been made.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a source function, or null if none is to be applied</dd>
</dl>
</li>
</ul>
<a name="setSourceFunction-com.sk89q.worldedit.function.RegionFunction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceFunction</h4>
<pre>public&nbsp;void&nbsp;setSourceFunction(<a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a>&nbsp;function)</pre>
<div class="block">Set the function that gets applied to all source blocks <em>after</em>
 the copy has been made.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>function</code> - a source function, or null if none is to be applied</dd>
</dl>
</li>
</ul>
<a name="getRepetitions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRepetitions</h4>
<pre>public&nbsp;int&nbsp;getRepetitions()</pre>
<div class="block">Get the number of repetitions left.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of repetitions</dd>
</dl>
</li>
</ul>
<a name="setRepetitions-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRepetitions</h4>
<pre>public&nbsp;void&nbsp;setRepetitions(int&nbsp;repetitions)</pre>
<div class="block">Set the number of repetitions left.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>repetitions</code> - the number of repetitions</dd>
</dl>
</li>
</ul>
<a name="isCopyingEntities--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCopyingEntities</h4>
<pre>public&nbsp;boolean&nbsp;isCopyingEntities()</pre>
<div class="block">Return whether entities should be copied along with blocks.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if copying</dd>
</dl>
</li>
</ul>
<a name="setCopyingEntities-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCopyingEntities</h4>
<pre>public&nbsp;void&nbsp;setCopyingEntities(boolean&nbsp;copyingEntities)</pre>
<div class="block">Set whether entities should be copied along with blocks.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>copyingEntities</code> - true if copying</dd>
</dl>
</li>
</ul>
<a name="isRemovingEntities--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRemovingEntities</h4>
<pre>public&nbsp;boolean&nbsp;isRemovingEntities()</pre>
<div class="block">Return whether entities that are copied should be removed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if removing</dd>
</dl>
</li>
</ul>
<a name="setRemovingEntities-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRemovingEntities</h4>
<pre>public&nbsp;void&nbsp;setRemovingEntities(boolean&nbsp;removingEntities)</pre>
<div class="block">Set whether entities that are copied should be removed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>removingEntities</code> - true if removing</dd>
</dl>
</li>
</ul>
<a name="isCopyingBiomes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCopyingBiomes</h4>
<pre>public&nbsp;boolean&nbsp;isCopyingBiomes()</pre>
<div class="block">Return whether biomes should be copied along with blocks.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if copying biomes</dd>
</dl>
</li>
</ul>
<a name="setCopyingBiomes-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCopyingBiomes</h4>
<pre>public&nbsp;void&nbsp;setCopyingBiomes(boolean&nbsp;copyingBiomes)</pre>
<div class="block">Set whether biomes should be copies along with blocks.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>copyingBiomes</code> - true if copying</dd>
</dl>
</li>
</ul>
<a name="getAffected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAffected</h4>
<pre>public&nbsp;int&nbsp;getAffected()</pre>
<div class="block">Get the number of affected objects.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of affected</dd>
</dl>
</li>
</ul>
<a name="resume-com.sk89q.worldedit.function.operation.RunContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resume</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&nbsp;resume(<a href="../../../../../com/sk89q/worldedit/function/operation/RunContext.html" title="class in com.sk89q.worldedit.function.operation">RunContext</a>&nbsp;run)
                 throws <a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#resume-com.sk89q.worldedit.function.operation.RunContext-">Operation</a></code></span></div>
<div class="block">Complete the next step. If this method returns true, then the method may
 be called again in the future, or possibly never. If this method
 returns false, then this method should not be called again.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#resume-com.sk89q.worldedit.function.operation.RunContext-">resume</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>run</code> - describes information about the current run</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>another operation to run that operation again, or null to stop</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - an error</dd>
</dl>
</li>
</ul>
<a name="cancel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancel</h4>
<pre>public&nbsp;void&nbsp;cancel()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#cancel--">Operation</a></code></span></div>
<div class="block">Abort the current task. After the this method is called,
 <a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#resume-com.sk89q.worldedit.function.operation.RunContext-"><code>Operation.resume(RunContext)</code></a> should not be called at any point in the
 future. This method should not be called after successful completion of
 the operation. This method must be called if the operation is
 interrupted before completion.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#cancel--">cancel</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></dd>
</dl>
</li>
</ul>
<a name="addStatusMessages-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addStatusMessages</h4>
<pre>public&nbsp;void&nbsp;addStatusMessages(java.util.List&lt;java.lang.String&gt;&nbsp;messages)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#addStatusMessages-java.util.List-">Operation</a></code></span></div>
<div class="block">Add messages to the provided list that describe the current status
 of the operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#addStatusMessages-java.util.List-">addStatusMessages</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>messages</code> - The list to add messages to</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/operation/DelegateOperation.html" title="class in com.sk89q.worldedit.function.operation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/operation/ForwardExtentCopy.html" target="_top">Frames</a></li>
<li><a href="ForwardExtentCopy.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
